ETC-UPDATE(1)

NAME
etc-update - handle configuration file updates

SYNOPSIS
etc-update [options] [--automode <mode>] [paths to scan]

DESCRIPTION
etc-update is supposed to be run after merging a new package to see if there are updates to the configuration files. If a new configuration file will override an old one, etc-update will prompt the user for a decision.

etc-update will check all directories specified on the command line. If no paths are given, then the CONFIG_PROTECT variable will be used. All config files found in CONFIG_PROTECT_MASK will automatically be updated for you by etc-update. See make.conf(5) for more information.

etc-update respects the normal PORTAGE_CONFIGROOT and EROOT variables for finding the aforementioned config protect variables.

OPTIONS

-d, --debug
    Run with shell tracing enabled.

-h, --help
    Surprisingly, show the help output.

-p, --preen
    Automerge trivial changes only and quit.

-v, --verbose
    Show settings and important decision info while running.

--automode <mode>
    Select one of the automatic merge modes. Valid modes are: -3 -5 -7 -9. See the --help text for more details.

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/

AUTHORS
Jochem Kossen and Leo Lipelis
Karl Trygve Kalleberg <karltk@gentoo.org>
Mike Frysinger <vapier@gentoo.org>

FILES

/etc/etc-update.conf
    Configuration settings for etc-update are stored here.

SEE ALSO
dispatch-conf(1), make.conf(5)